<script>
    setTimeout(() =>{
        document.querySelector('.added-product').style.animationName = 'finish'
        document.querySelector('.added-product').style.animationDuration = '2s'
    }, 3000)
     setTimeout(() =>{
        document.querySelector('.added-product').style.display = 'none'
    }, 5000)
</script>
{% extends 'index.html' %}
{% block title %}
    <title>Laptops</title>
{% endblock %}
{% block success_tag %}
    {% if add %}
        <div class="added-product" id="trigger">The product has been added to cart</div>
    {% else %}
    {% endif %}
{% endblock %}
{% block cont2 %}
    <div>
        {% if products %}
            {% for prod in products %}
                <div class='rowss' id="ros">
                    <div class='product--blue'>
                        <div class='product_inner'>
                            <img src="{{ prod.image.url }}" alt="Card image" class="card_img"><br>
                            {{ prod.name }} <br>
                            Price: {{ prod.price }} lei <br>
                            <a href="{% url 'prod_details'  prod.pk %}" class="card-text">Details</a>
                            {% if prod.quantity == 0 %}
                                <div class="out-of-stock">Out of stock</div>
                            {% else %}
                                <form action="{% url 'cart-add' %}" method="GET">
                                    {% csrf_token %}
                                    <label>
                                        <input type="hidden" name="{{ prod.pk }}">
                                        <input type="number" max="{{ prod.quantity }}" min="1" name="quantity"
                                               value="1"><br>
                                        <input type="hidden" name="{{ prod.category.pk }}">
                                        <input type="hidden" name="PRODHTML">
                                        <button type="submit" class="butt" value="">Add to chart</button>
                                    </label>
                                </form>
                            {% endif %}
                        </div>
                    </div>
                </div>
            {% endfor %}
            <div class="paginator-block">
                <ul>

                    {% if products.has_previous %}
                        <a class="inactive-page" href="?page={{ 1 }}" aria-label="Previous">
                            &laquo;
                        </a>
                    {% endif %}
                    {% if products.number|add:'-4' > 1 %}
                        <a class="inactive-page" href="?page={{ products.number|add:'-6' }}">&hellip;</a>
                    {% endif %}
                    {% for n in products.paginator.page_range %}
                        {% if products.number == n %}

                            <a class="active-page">{{ n }}</a>
                        {% elif n > products.number|add:'-5' and n < products.number|add:'5' %}

                            <a class="inactive-page" href="?page={{ n }}">{{ n }}</a>

                        {% endif %}
                    {% endfor %}
                    {% if products.paginator.num_pages > products.number|add:'5' %}
                        <a class="inactive-page" href="?page={{ products.number|add:'6' }}">&hellip;</a>
                    {% endif %}
                    {% if products.has_next %}
                        <a class="inactive-page" href="?page={{ products.paginator.num_pages }}" aria-label="Next">
                            &raquo;
                        </a>
                    {% endif %}

                </ul>
            </div>
        {% else %}
            <h3>No products available</h3>
        {% endif %}
    </div>
{% endblock %}



<script>
    $(function () {

        "use strict"

        var init = "No items yet!";
        var counter = 0;

        // Initial Cart
        $(".counter").html(init);

        // Add Items To Basket
        function addToBasket() {
            counter++;
            $(".counter").html(counter).animate({
                'opacity': '0'
            }, 300, function () {
                $(".counter").delay(300).animate({
                    'opacity': '1'
                })
            })
        }

        // Add To Basket Animation
        $("button").on("click", function () {
            addToBasket();
            $(this).parent().parent().find(".product_overlay").css({
                'transform': ' translateY(0px)',
                'opacity': '1',
                'transition': 'all ease-in-out .45s'
            }).delay(1500).queue(function () {
                $(this).css({
                    'transform': 'translateY(-500px)',
                    'opacity': '0',
                    'transition': 'all ease-in-out .45s'
                }).dequeue();
            });
        });
    });
</script>